Thank you for your donation


Thread Closed 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Official XBian 1.0 Gotham Testing
14th Nov, 2013, 09:28 AM
Post: #16
RE: Gotham test builds with Margo PVR mod
(14th Nov, 2013 08:50 AM)theimmortal Wrote:  
(14th Nov, 2013 08:34 AM)rlg6767 Wrote:  
(14th Nov, 2013 07:49 AM)theimmortal Wrote:  Xbian doesn't have the same quick switch ability found in Raspbmc yet. You should upgrade to the Gotham nightly from the command line using apt-get. That will install all the needed dependencies.

OK, so I tried the following:
sudo -i
apt-get update
apt-get install xbian-package-xbmc-gotham-nightly

But is says it is unable to locate the package. Any ideas? It manages to read the package list ok.

Thanks for your help! Very much appreciated. Really wanting to test XBMC with a DVBLink PVR addon that I know works on Gotham on a Windows laptop hence the effort.

Well that definitely should have worked. Hmm... What version of Xbian are you currently running? What is in your /etc/apt/sources.list file?

Beta 1. Looks like I need to upgrade to Beta 2...

(14th Nov, 2013 09:26 AM)theimmortal Wrote:  
(14th Nov, 2013 08:34 AM)rlg6767 Wrote:  
(14th Nov, 2013 07:49 AM)theimmortal Wrote:  Xbian doesn't have the same quick switch ability found in Raspbmc yet. You should upgrade to the Gotham nightly from the command line using apt-get. That will install all the needed dependencies.

OK, so I tried the following:
sudo -i
apt-get update
apt-get install xbian-package-xbmc-gotham-nightly

But is says it is unable to locate the package. Any ideas? It manages to read the package list ok.

Thanks for your help! Very much appreciated. Really wanting to test XBMC with a DVBLink PVR addon that I know works on Gotham on a Windows laptop hence the effort.

Okay, belese is right, beta2 is the xbian version that is going to include the gotham nightly. So you have a couple choices. You can restore your original XBMC with this command:

sudo apt-get -s install --reinstall xbian-package-xbmc

You can backup your userdata folder and then upgrade to Xbian beta2. This is my recommendation because it is extremely stable and has a lot of new features which enhance the overall performance. Follow the link in belese's post above to the beta2 thread. Once on beta2 you can install the xbian-package-xbmc-gotham-nightly, and then upgrade to my PVR enhanced version. I will be posting a new version tonight, and I plan to include a debian package to make installation easier.

Yes, just followed the link he posted and managed to upgrade to Beta 2. XBMC nightly now installing.

Man, I've gone from zero Linux to this in a couple of hours. My brain hurts! But thanks to you both for your help!! Massively appreciated..Wink
Find all posts by this user
14th Nov, 2013, 11:11 AM
Post: #17
RE: Gotham test builds with Margo PVR mod
I tried installing over my Gotham installation and it broke it, complained about glx.

Please read rules and do a search before you post! | FAQs | How to post log file? | Can't find an answer? Contact us.
Visit this user's website Find all posts by this user
14th Nov, 2013, 11:20 AM
Post: #18
RE: Gotham test builds with Margo PVR mod
The glx error sounds like it is having a conflict with the OpenGL ES version. Are you using xbian beta2? Are all your packages up to date?
Find all posts by this user
14th Nov, 2013, 11:32 AM (This post was last modified: 14th Nov, 2013 11:33 AM by f1vefour.)
Post: #19
RE: Gotham test builds with Margo PVR mod
Everything is up to date and I am running beta 2.

Here is what I get while attempting to run:

Terminal

root@raspberry:~# xbmc
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
root@raspberry:~# xbmc-standalone
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
XBMC has exited uncleanly 3 times in the last 1 seconds.
Something is probably wrong
root@raspberry:~#

I get the same thing on the 'updated' package mk01 pushed to the apt repo.

Please read rules and do a search before you post! | FAQs | How to post log file? | Can't find an answer? Contact us.
Visit this user's website Find all posts by this user
14th Nov, 2013, 11:40 AM
Post: #20
RE: Gotham test builds with Margo PVR mod
(14th Nov, 2013 11:32 AM)f1vefour Wrote:  Everything is up to date and I am running beta 2.

Here is what I get while attempting to run:

Terminal

root@raspberry:~# xbmc
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
root@raspberry:~# xbmc-standalone
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
XBMC has exited uncleanly 3 times in the last 1 seconds.
Something is probably wrong
root@raspberry:~#

I get the same thing on the 'updated' package mk01 pushed to the apt repo.

Try this start command:

/usr/local/lib/xbmc/xbmc.bin --standalone -fs --lircdev /run/lirc/lircd
Find all posts by this user
14th Nov, 2013, 11:55 AM
Post: #21
RE: Gotham test builds with Margo PVR mod
You can't do that, it fails with libhal.so

Please read rules and do a search before you post! | FAQs | How to post log file? | Can't find an answer? Contact us.
Visit this user's website Find all posts by this user
14th Nov, 2013, 12:07 PM
Post: #22
RE: Gotham test builds with Margo PVR mod
(14th Nov, 2013 11:55 AM)f1vefour Wrote:  You can't do that, it fails with libhal.so

I ran this from a remote ssh session. When running 'xbmc' and 'xbmc-standalone' I get the same errors you describe. But when I run '/usr/local/lib/xbmc/xbmc.bin' it starts right up:

Terminal
xbian@xbian ~ $ ps aux |grep xbmc
xbian 322 19.6 18.3 366516 70428 ? S<sl 19:10 17:37 /usr/local/lib/xbmc/xbmc.bin --standalone -fs --lircdev /run/lirc/lircd
root 782 0.0 1.4 9720 5468 ? Ss 19:11 0:00 python /usr/local/sbin/upstart-xbmc-bridge.py
xbian 5100 0.0 0.2 3508 856 pts/0 S+ 20:40 0:00 grep --color=auto xbmc
xbian@xbian ~ $ killall /usr/local/lib/xbmc/xbmc.bin
xbian@xbian ~ $ xbmc
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
xbian@xbian ~ $ xbmc-standalone
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
sh: 1: glxinfo: not found
XBMC needs hardware accelerated OpenGL rendering.
Install an appropriate graphics driver.

Please consult XBMC Wiki for supported hardware
http://wiki.xbmc.org/?title=Supported_hardware
XBMC has exited uncleanly 3 times in the last 0 seconds.
Something is probably wrong
xbian@xbian ~ $ /usr/local/lib/xbmc/xbmc.bin
xbmc-loaded start/running, process 6369

Can you post your output from this command:

/usr/local/lib/xbmc/xbmc.bin
Find all posts by this user
14th Nov, 2013, 12:30 PM
Post: #23
Re: Gotham test builds with Margo PVR mod
I will tell you what it boils down to, libhal1 and libhal-storage aren't required dependencies of the last version of the xbian-package-xbmc-gotham-nightly (koenkk's package) or the previous frodo package.

The current Gotham nightly requires libhal1 but mk01 missed the dependency in the package he just uploaded.

The latest Frodo package requires and installs libhal1 and libhal-storage.

Long story short mk01 needs to add libhal1 and libhal-storage requirement to the latest Gotham nightly package. You need to add it to the OP so others don't have to go through all this Wink

Thanks for your contribution.

Please read rules and do a search before you post! | FAQs | How to post log file? | Can't find an answer? Contact us.
Visit this user's website Find all posts by this user
14th Nov, 2013, 12:58 PM
Post: #24
RE: Gotham test builds with Margo PVR mod
(14th Nov, 2013 12:30 PM)f1vefour Wrote:  I will tell you what it boils down to, libhal1 and libhal-storage aren't required dependencies of the last version of the xbian-package-xbmc-gotham-nightly (koenkk's package) or the previous frodo package.

The current Gotham nightly requires libhal1 but mk01 missed the dependency in the package he just uploaded.

The latest Frodo package requires and installs libhal1 and libhal-storage.

Long story short mk01 needs to add libhal1 and libhal-storage requirement to the latest Gotham nightly package. You need to add it to the OP so others don't have to go through all this Wink

Thanks for your contribution.

Thank you for helping track down the missing dependency. I'll add it to the OP.
Find all posts by this user
14th Nov, 2013, 12:59 PM
Post: #25
RE: Gotham test builds with Margo PVR mod
No problem, I messaged @mk01 to let him know of the issue also.

Please read rules and do a search before you post! | FAQs | How to post log file? | Can't find an answer? Contact us.
Visit this user's website Find all posts by this user
14th Nov, 2013, 01:08 PM
Post: #26
RE: Gotham test builds with Margo PVR mod
OP updated with better installation instructions.
Find all posts by this user
14th Nov, 2013, 07:51 PM
Post: #27
RE: Gotham test builds with Margo PVR mod
done adding them again 2.9-10.14a at repo

do we know why they reappeared ?

i remember like yesterday when I was checking binaries with ldd and gotham was no libhal dependent.

btw: not so important at all, just curious Smile

Please read rules and do a search before you post! . FAQs . How to post log file? . Looking for answers? Please start here
Find all posts by this user
15th Nov, 2013, 10:29 AM
Post: #28
RE: Gotham test builds with Margo PVR mod
(14th Nov, 2013 07:51 PM)mk01 Wrote:  done adding them again 2.9-10.14a at repo

do we know why they reappeared ?

i remember like yesterday when I was checking binaries with ldd and gotham was no libhal dependent.

btw: not so important at all, just curious Smile

I believe it is set to 'auto' in the configure file. You have to explicitly use the --disable-hal option.
Find all posts by this user
16th Nov, 2013, 04:17 PM
Post: #29
RE: Gotham test builds with Margo PVR mod
@theimmortal

can be with the default configure options, but of course we have own build process with own options. so probably this was changed without notice.

Please read rules and do a search before you post! . FAQs . How to post log file? . Looking for answers? Please start here
Find all posts by this user
24th Dec, 2013, 05:08 AM
Post: #30
xbian config not working in gotham
Hey!

I've been trying to setup an Xbian system today and ran into some problems. An addon I'm using (SVT Play) seems to be working much better with Gotham than frodo thus I upgraded to Gotham. But I can't get the Xbian-Config to work with the gotham version. Is this a know issue (been googling without luck) or is it just me? I've tried updating all packages, purging and reinstalling the xbian-package-config-xbmc package and more.

When I selected Xbian-Config a loading screen appears and it hits (at least) %96 before xbmc restarts it self. Nothing interesting in the logs, this is the last printout before rollover:
19:05:13 T:2933527616 NOTICE: XBian : XBian-config started
19:05:14 T:2933527616 NOTICE: __all__ ['10_system', '20_services', '30_packages', '40_update', '50_xbmc', '55_backup', '60_preference']
19:05:16 T:3041583104 WARNING: SplitParams((advancedmode) - end of string while searching for ) or "
19:05:26 T:2814374976 NOTICE: Thread LanguageInvoker start, auto delete: false

Anybody have an idea what to try?
Find all posts by this user
Thread Closed 


Possibly Related Threads...
Thread: Author Replies Views: Last Post
  Official XBian 1.0 RC 2 Gotham (XBMC 13) thread IriDium 167 252,537 10th Sep, 2014 04:41 AM
Last Post: weezer

Forum Jump: